//desenam un mic cerc care se roteste in jurul centrului ferestrei pana cand se apasa o tasta
#include "graphics2.h"
#include <windows.h>
#include <math.h>

int main()
{
	//initializare mod grafic
	int driver, mod;
	initgraph(&driver, &mod, "", 800, 600); //ultimii 2 parametri = dimensiunea in pixeli a ferestrei grafice
		
	//calculam coordonatele centrului ferestrei
	double midx = getmaxx()/2;
	double midy = getmaxy()/2;

	//definim celelalte variabile
	double x, y, raza, unghi;
	
	//rotatii
	unghi = 0; raza = 200;
	while( !kbhit() ) //cat timp nu este apasata o tasta
	{
		//calculam coordonatele noii pozitii
		x = cos(unghi)*raza + midx;
		y = sin(unghi)*raza + midy;
		
		//desenam cercul pe noua pozitie
		setcolor(CYAN);
		circle((int)x, (int)y, 20);
		
		//desenam raza cercului de rotatie
		line((int)midx, (int)midy, (int)x, (int)y);
		
		//modificam si/sau corectam unghiul
		unghi += 0.01;
		if(unghi >= 2*M_PI)
			unghi = 0;
		
		//asteptam oleaca (10 milisecunde)
		Sleep(10);  //in biblioteca <windows.h>
		
		//stergem cercul de pe vechea pozitie
		setcolor(BLACK);
		fillellipse((int)x, (int)y, 30, 30);

		//stergem raza cercului de rotatie
		line((int)midx, (int)midy, (int)x, (int)y);
		//asteptam oleaca (10 milisecunde)
		//Sleep(1000);
	}

	//gata
	closegraph();
	return 0;
}
