#include <fstream>
#include <iostream>
#include <conio.h>

#define NMAX 50
#define MMAX 100

#if defined(__WIN32__) || defined(_WIN32) || defined(WIN32) || defined(__WINDOWS__) || defined(__TOS_WIN__)

  #include <windows.h>

  inline void delay( unsigned long ms )
    {
    Sleep( ms );
    }

#else  /* presume POSIX */

  #include <unistd.h>

  inline void delay( unsigned long ms )
    {
    usleep( ms * 1000 );
    }

#endif


using namespace std;

ifstream fin("bile.in");

int n, m, xs[16], ys[16], j, i, l[16], c[16] ;
int d[16], sl[16], sc[16], Culori[NMAX][MMAX];
int nrbile ;

char Masa[NMAX][MMAX];

void GotoXY(int x, int y)
{
  COORD coord;
  coord.X = x;
  coord.Y = y;
  SetConsoleCursorPosition(GetStdHandle(STD_OUTPUT_HANDLE), coord);
}

void setcolor(unsigned short color)                 //The function that you'll use to
{                                                   //set the colour
    HANDLE hcon = GetStdHandle(STD_OUTPUT_HANDLE);
    SetConsoleTextAttribute(hcon,color);
}

int main()
{
	fin >> n >> m >> nrbile;             //dimensiune masa si numar bile
	for (i = 1; i <= nrbile; i++)        //pentru fiecare bila
		fin >> xs[i] >> ys[i] >> d[i] ;     //unde (x, y) si directia de pornire
	for (i = 1; i <= nrbile; i++)                  //pentru fiecare bila
	{                                                 //functie de directie
		if ( d[i] == 1 )  sl[i] = -1 , sc[i] = 1 ;    //modificare linie, coloana
		if ( d[i] == 2 )  sl[i] =  1 , sc[i] = 1 ;
		if ( d[i] == 3 )  sl[i] =  1 , sc[i] = -1;
		if ( d[i] == 4 )  sl[i] = -1 , sc[i] = -1;
	}
//desenez chenarul - masa de biliard
	Masa[0][0] = (char)(201), Culori[0][0] = 15;         //colt stanga sus
	Masa[0][m+1] = (char)(187), Culori[0][m+1] = 15;     //dreapta sus
	Masa[n+1][m+1] = (char)(188), Culori[n+1][m+1] = 15; //dreapta jos
	Masa[n+1][0] = (char)(200), Culori[n+1][0] = 15;     //stanga jos
	for ( i = 1 ; i <= m ; i++)                          //marginea mesei sus si jos
	   Masa[0][i] = Masa[n+1][i] = (char)(205), Culori[n+1][i]=15, Culori[0][i] = 15;
	for ( j = 1 ; j <= n ; j++)                          //marginea mesei stanga si dreapta
	   Masa[j][0] = Masa[j][m+1] = (char)(186), Culori[j][m+1]=15, Culori[j][0] = 15;
	for ( i = 1 ; i <=n ; i++)
		for ( j = 1 ; j<=m ; j++)
			Masa[i][j] = ' ', Culori[i][j] = 0 ;         //masa goala - neagra
	for (i = 1; i <= nrbile; i++)                        //bilele fiecare cu culoarea ei
		Masa[xs[i]][ys[i]] = 'O', Culori[xs[i]][ys[i]] = i ;
	system("cls");                                       //sterg ecranul
	GotoXY(0, 0);                                        //ma pozitionez in coltul stanga sus
	for ( i = 0 ; i <= n+1 ; i++)                        //afisez matricea
	{
		for ( j = 0 ; j <= m+1 ; j++)
		{
			setcolor(Culori[i][j]);                      //setez culoarea
			cout << Masa[i][j] ;                         //pun caracterul
		}
		cout << '\n';
	}
	for (i = 1; i <= nrbile; i++)                        //pozitii initiale bile
		l[i] = xs[i], c[i] = ys[i];
	do                                                   //repeta
	{
		for (i = 1; i <= nrbile; i++)
		{
			if ( l[i] == 1 || l[i] == n ) sl[i] = -sl[i] ;
			if ( c[i] == 1 || c[i] == m ) sc[i] = -sc[i] ;
			Masa[l[i]][c[i]] = ' ', Culori[l[i]][c[i]]=0;
			l[i] = l[i] + sl[i] ;
			c[i] = c[i] + sc[i] ;
			Masa[l[i]][c[i]] = 'O', Culori[l[i]][c[i]]=i;
		}
		GotoXY(0, 0);
		for ( i = 0 ; i <=n+1 ; i++)
		{
			for ( j = 0 ; j<=m+1 ; j++)
			{
				setcolor(Culori[i][j]);
				cout << Masa[i][j] ;
			}
			cout << '\n';
		}
		//delay(60);

	}while( !kbhit()) ;                                  //pana apesi o tasta
	return 0;
}
