#include "SDL.h"
#include "SDL_image.h"
#include <cstring>
#include <fstream>
// bibliotecile predefinite
using namespace std;

void init_sdl(bool is_fullscreen);
void close_sdl();
void citire();
SDL_Surface* screen;
SDL_Surface* img, *img1, *img2, *img3, *img4, *img5;
SDL_Surface *incarca_imaginea( std::string filename );
SDL_Rect patrat, obstacol[21], iesire;

int n, nivel;

int main(int argc,char *args[])
{
    meniu:
    init_sdl(1);//tot ecranul
    SDL_Event evenim;
    // incarca imaginile meniului
    img=incarca_imaginea("meniu.jpg");
    img2=incarca_imaginea("help.jpg");
    img3=incarca_imaginea("background.jpg");
    img4=incarca_imaginea("you-win.jpg");
    img5=incarca_imaginea("you-lost.jpg");
    nivel++;
    if (nivel == 4) nivel = 1;//reinceperea jocului

    citire();// citeste numarul de obstacole, pozitia si dimensiunile patratului, pozitia si dimensiunile fiecarui obiect, pozitia si dimensiunile portii

    bool directie[4] = {0,0,0,0};
    int i, primul=0, pe_obs;

    Uint32 color = SDL_MapRGB(screen->format, 224,81,70);
    Uint32 color1 = SDL_MapRGB(screen->format, 156,131,139); //0,255,0 (culoarea verde)
    Uint32 color2 = SDL_MapRGB(screen->format, 233,242,48);
    // incepe jocul
    while(1)// prima bucla
    {
        SDL_BlitSurface(img, NULL, screen, NULL);// imaginea meniului
        while(SDL_PollEvent(&evenim))
        {
            if (evenim.type == SDL_QUIT || evenim.key.keysym.sym==SDLK_ESCAPE)//inchide sdl cu escape
            {
                close_sdl();
                return 0;
            }
            if (evenim.type == SDL_KEYDOWN)// ajungem din meniu la play, help sau inchidem jocul
            {
                if(evenim.key.keysym.sym == SDLK_p)
                        SDL_FillRect(img,NULL,0x000000);
                if(evenim.key.keysym.sym == SDLK_h)
                        SDL_FillRect(img,NULL,0x000000);
                if(evenim.key.keysym.sym == SDLK_e)
                {
                    close_sdl();
                    return 0;
                }
                if(evenim.key.keysym.sym == SDLK_ESCAPE)
                {
                    close_sdl();
                    return 0;
                }
            }
            if (evenim.type == SDL_KEYUP)
            {
                if(evenim.key.keysym.sym == SDLK_p)
                        while(1) // a doua bucla (te joci)
                        {
                            SDL_BlitSurface(img3, NULL, screen, NULL);// afisez background-ul

                            for (i = 1; i <= n; i++)// setez culorile obstacolelor
                                SDL_FillRect(screen,&obstacol[i],color1);

                            SDL_FillRect(screen,&patrat,color2);//culoarea personajului
                            SDL_FillRect(screen,&iesire,color);// culoarea portii
                            SDL_Flip(screen);


                            while( SDL_PollEvent(&evenim) )
                            {
                                if (evenim.type == SDL_QUIT || evenim.key.keysym.sym==SDLK_ESCAPE)
                                {
                                        close_sdl();
                                        return 0;
                                }
                                if(evenim.key.keysym.sym==SDLK_BACKSPACE)
                                {
                                        goto meniu;

                                }
                                if(evenim.type==SDL_KEYDOWN)//daca apesi pe sageti
                                        {
                                            //setez vectorul de directie
                                            if(evenim.key.keysym.sym==SDLK_UP)
                                            {
                                                directie[0] = 1;
                                                directie[1] = 0;
                                                directie[2] = 0;
                                                directie[3] = 0;
                                            }
                                            else
                                                if(evenim.key.keysym.sym==SDLK_LEFT)
                                                {
                                                    directie[0] = 0;
                                                    directie[1] = 1;
                                                    directie[2] = 0;
                                                    directie[3] = 0;
                                                }
                                                else
                                                    if(evenim.key.keysym.sym==SDLK_DOWN)
                                                    {
                                                        directie[0] = 0;
                                                        directie[1] = 0;
                                                        directie[2] = 1;
                                                        directie[3] = 0;
                                                    }
                                                    else
                                                        if(evenim.key.keysym.sym==SDLK_RIGHT)
                                                        {
                                                            directie[0] = 0;
                                                            directie[1] = 0;
                                                            directie[2] = 0;
                                                            directie[3] = 1;
                                                        }
                                        }
                                if(evenim.type==SDL_KEYUP)// daca nu mai apesi pe sageata
                                {
                                    //opresti patratul
                                    if(evenim.key.keysym.sym==SDLK_UP)
                                    {   directie[0]=0;
                                        directie[1] = 0;
                                        directie[2] = 0;
                                        directie[3] = 0;}
                                    if(evenim.key.keysym.sym==SDLK_LEFT)
                                    {
                                        directie[0]=0;
                                        directie[1] = 0;
                                        directie[2] = 0;
                                        directie[3] = 0;
                                    }
                                    if(evenim.key.keysym.sym==SDLK_DOWN)
                                    {
                                        directie[0]=0;
                                        directie[1] = 0;
                                        directie[2] = 0;
                                        directie[3] = 0;
                                    }
                                    if(evenim.key.keysym.sym==SDLK_RIGHT)
                                    {
                                        directie[0]=0;
                                        directie[1] = 0;
                                        directie[2] = 0;
                                        directie[3] = 0;
                                    }
                                }


                            }
                                    //miscarile pe care le face patratul pentru fiecare componenta a vectorului
                                    if(directie[0])patrat.y--;
                                    if(directie[1])patrat.x--;
                                    if(directie[2])patrat.y++;
                                    if(directie[3])patrat.x++;




                                for (i = 1; i <= n; i++)//vede daca ai atins un obstacol
                                    if( (patrat.y>=obstacol[i].y-patrat.w && patrat.y<=obstacol[i].y+obstacol[i].h) && ( patrat.x>=obstacol[i].x-patrat.h && patrat.x<=obstacol[i].x+obstacol[i].w) )
                                    {
                                        directie[0]=0;
                                        directie[1] = 0;
                                        directie[2] = 0;
                                        directie[3] = 0;
                                        while(1)
                                        {
                                            SDL_BlitSurface(img5, NULL, screen, NULL);//afiseaza imaginea cu ai pierdut
                                            SDL_Flip(screen);
                                            while(SDL_PollEvent(&evenim))
                                            {
                                                // inchiderea jocului prin escape
                                                if (evenim.type == SDL_QUIT || evenim.key.keysym.sym==SDLK_ESCAPE)
                                                {
                                                    close_sdl();
                                                    return 0;
                                                }
                                                if(evenim.key.keysym.sym==SDLK_BACKSPACE)
                                                {
                                                    // mergi la meniu si poti sa reincepi nivelul
                                                    nivel--;
                                                    goto meniu;
                                                }
                                            }
                                        }
                                    }
                                // in cazul in care ai atins poarta
                                if( (patrat.y>=iesire.y-22 && patrat.y<=iesire.y+iesire.h) && ( patrat.x>=iesire.x-22 && patrat.x<=iesire.x+iesire.w))
                                {
                                    // te opresti
                                    directie[0] = 0;
                                    directie[1] = 0;
                                    directie[2] = 0;
                                    directie[3] = 0;
                                    while(1)
                                    {
                                        SDL_BlitSurface(img4, NULL, screen, NULL);// afiseaza imaginea you win
                                        SDL_Flip(screen);
                                        while(SDL_PollEvent(&evenim))
                                        {
                                            // daca vrei sa iesi din joc
                                            if (evenim.type == SDL_QUIT || evenim.key.keysym.sym==SDLK_ESCAPE)
                                            {
                                                close_sdl();
                                                return 0;
                                            }
                                            // daca vrei sa te duci la meniu
                                            if(evenim.key.keysym.sym==SDLK_BACKSPACE)
                                            {
                                                // nu mai apare nivel-- => poti sa mergi la nivelul urmator
                                                goto meniu;
                                            }
                                        }
                                    }

                                }
                                // vede sa nu iesi din matrice
                                if(patrat.x<=0 || patrat.x==775 )
                                {
                                    directie[1] = 0;
                                    directie[3] = 0;
                                }
                                if(patrat.y<=0 || patrat.y==575)
                                {
                                    directie[0] = 0;
                                    directie[2] = 0;
                                }
                        }
                if(evenim.key.keysym.sym == SDLK_h)//daca apesi h
						while(1)
						{
							SDL_BlitSurface(img2, NULL, screen, NULL);// afiseaza pagina help
							SDL_Flip(screen);
							while(SDL_PollEvent(&evenim))
							{
							     // daca vrei sa iesi din joc
								 if (evenim.type == SDL_QUIT || evenim.key.keysym.sym==SDLK_ESCAPE)
								 {
                                    close_sdl();
                                    return 0;
                                 }
                                 // daca vrei sa te duci la meniu
                                 if(evenim.key.keysym.sym==SDLK_BACKSPACE)
                                 {
                                    goto meniu;
                                 }

							}

						}
                // daca apesi e ai iesit din joc
                if(evenim.key.keysym.sym == SDLK_e)
                {
                    close_sdl();
                    exit(0);
                    return 0;
                }
                // daca apesi escape ai iesit din joc
                if(evenim.key.keysym.sym == SDLK_ESCAPE)
                {
                    close_sdl();
                    return 0;
                }
            }

        }
        //timpul in care afiseaza o imagine
        SDL_Flip(screen);
        SDL_Delay(10);
    }

    close_sdl();

    return 0;
}
//functiile
//afisarea pe intreg ecranul
void init_sdl(bool is_fullscreen)
{
    SDL_Init(SDL_INIT_EVERYTHING);
    if(is_fullscreen==0)
    {
        screen=SDL_SetVideoMode(800,600,32,0);
    }
    else
    {
        screen=SDL_SetVideoMode(800,600,32,SDL_FULLSCREEN);
    }
}

void close_sdl()
{
    SDL_Quit();
}
// incarcarea imaginilor
SDL_Surface *incarca_imaginea( std::string filename )
{
    SDL_Surface* loadedImage = NULL;
    SDL_Surface* optimizedImage = NULL;
    loadedImage = IMG_Load(filename.c_str());
    if(loadedImage != NULL)
    {
        optimizedImage = SDL_DisplayFormat( loadedImage );
        SDL_FreeSurface( loadedImage );
    }
    return optimizedImage;
}
// citirea fisierelor
void citire()
{
    int nro;
    char fisier[10]="nivel0.in";
    fisier[5]=(char)(48 + nivel);
    ifstream fin(fisier);
    fin>>n;   //numar obstacole
    fin>>patrat.x>>patrat.y>>patrat.w>>patrat.h;
    for (nro = 1; nro <= n; nro++)
    {
        fin>>obstacol[nro].x;
        fin>>obstacol[nro].y;
        fin>>obstacol[nro].w;
        fin>>obstacol[nro].h;
    }
    fin>>iesire.x>>iesire.y>>iesire.w>>iesire.h;
    fin.close();
}

